Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/xf86-input-libinput: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 16 Nov 2015 20:57:36 +0100

---
 testing/xf86-input-libinput/APKBUILD | 39 ++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/xf86-input-libinput/APKBUILD
diff --git a/testing/xf86-input-libinput/APKBUILD b/testing/xf86-input-libinput/APKBUILD
new file mode 100644
index 0000000..c80eda8
--- /dev/null
+++ b/testing/xf86-input-libinput/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer:
+pkgname=xf86-input-libinput
+pkgver=0.15.0
+pkgrel=0
+pkgdesc="X.Org input driver based on libinput"
+url="http://xorg.freedesktop.org/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="libinput-dev xorg-server-dev"
+makedepends="$depends_dev resourceproto scrnsaverproto"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://xorg.freedesktop.org/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="4a4766a139665ae42870bf432be5631e  xf86-input-libinput-0.15.0.tar.bz2"
+sha256sums="28707c504194648b11a1e26acf13039b60bf344efa6aa9788afed6d47f019a41  xf86-input-libinput-0.15.0.tar.bz2"
+sha512sums="f9c9f5f09537cd4830bd17720135102a9b02454e0acc4a80230ddd066c39a106c91260f7774da364760fd4f3b59b8ba9ab6abc83ad49ae6e9dad1609b9b25cf4  xf86-input-libinput-0.15.0.tar.bz2"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 16 2015 - 20:57:36 GMT